Update a shopper
curl --request PATCH \
--url https://api.vori.com/v1/shoppers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_address": "jsmith@example.com",
"enrolled_in_loyalty_program": false,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>"
}
'import requests
url = "https://api.vori.com/v1/shoppers/{id}"
payload = {
"email_address": "jsmith@example.com",
"enrolled_in_loyalty_program": False,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_address: 'jsmith@example.com',
enrolled_in_loyalty_program: false,
first_name: '<string>',
last_name: '<string>',
phone_number: '<string>',
postal_code: '<string>'
})
};
fetch('https://api.vori.com/v1/shoppers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/shoppers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'email_address' => 'jsmith@example.com',
'enrolled_in_loyalty_program' => false,
'first_name' => '<string>',
'last_name' => '<string>',
'phone_number' => '<string>',
'postal_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/shoppers/{id}"
payload := strings.NewReader("{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.vori.com/v1/shoppers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/shoppers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email_address": "jsmith@example.com",
"email_validated": true,
"enrolled_in_loyalty_program": true,
"first_name": "<string>",
"joined_at_store_id": "<string>",
"joined_with_employee_id": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"point_balance": "199.99",
"postal_code": "<string>",
"subscribed_to_email": true,
"subscribed_to_sms": true,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error_code": "capability_not_enabled"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Shoppers
Update a shopper
Update a shopper
PATCH
/
v1
/
shoppers
/
{id}
Update a shopper
curl --request PATCH \
--url https://api.vori.com/v1/shoppers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_address": "jsmith@example.com",
"enrolled_in_loyalty_program": false,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>"
}
'import requests
url = "https://api.vori.com/v1/shoppers/{id}"
payload = {
"email_address": "jsmith@example.com",
"enrolled_in_loyalty_program": False,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_address: 'jsmith@example.com',
enrolled_in_loyalty_program: false,
first_name: '<string>',
last_name: '<string>',
phone_number: '<string>',
postal_code: '<string>'
})
};
fetch('https://api.vori.com/v1/shoppers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/shoppers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'email_address' => 'jsmith@example.com',
'enrolled_in_loyalty_program' => false,
'first_name' => '<string>',
'last_name' => '<string>',
'phone_number' => '<string>',
'postal_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/shoppers/{id}"
payload := strings.NewReader("{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.vori.com/v1/shoppers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/shoppers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email_address\": \"jsmith@example.com\",\n \"enrolled_in_loyalty_program\": false,\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"postal_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email_address": "jsmith@example.com",
"email_validated": true,
"enrolled_in_loyalty_program": true,
"first_name": "<string>",
"joined_at_store_id": "<string>",
"joined_with_employee_id": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"point_balance": "199.99",
"postal_code": "<string>",
"subscribed_to_email": true,
"subscribed_to_sms": true,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error_code": "capability_not_enabled"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Authorizations
Body
application/json
Whether the shopper is enrolled in the loyalty program. Shoppers must explicitly opt into the loyalty program, typically at the POS. Digital gift card recipients are also stored as shoppers, but are only opted into the loyalty program after giving explicit permission.
Response
A person a store can recognize at checkout, whether as a loyalty member or as the holder of a gift card. A shopper belongs to the banner rather than to any one store.
Whether the shopper is enrolled in the loyalty program. Shoppers must explicitly opt into the loyalty program, typically at the POS. Digital gift card recipients are also stored as shoppers, but are only opted into the loyalty program after giving explicit permission.
Was this page helpful?